//  @ Project : SPPager
//  @ File Name : PageOption.cs
//  @ Date : 2013/6/5
//  @ Author : yubaolee(.cpp)
//
//

namespace LYB.NET.SPPager
{
    public class PageOption
    {
        public string Id;
        public string CssClass;
        public string PrevPageText;
        public string NextPageText;
        public string FirstPageText;
        public string LastPageText;
        public bool ShowFirstLast;
        public bool ShowPreNext;
        public bool ShowPageInput;
        //item count of per page 
        public int NumbericPagerItemCount;

        public string PageIndexOutOfRangeErrorMessage;
        public string InvalidPageIndexErrorMessage;
        public PageOption()
        {
            PrevPageText = "<";
            NextPageText = ">";
            FirstPageText = "First";
            LastPageText = "Last";
            NumbericPagerItemCount = 10;
            PageIndexOutOfRangeErrorMessage = "Error: Out of page index!";
            InvalidPageIndexErrorMessage = "Error: Invalid page index";
            ShowFirstLast = true;
            ShowPreNext = true;
            ShowPageInput = true;
        }
    }
}
